////////////////////////////////////////////////////////////
//                                                        //
//  Simple OpenGL Texture Loader                          //
//  (w)(c)2007 Carsten Dachsbacher                        //
//                                                        //
////////////////////////////////////////////////////////////
#ifndef __TEXTURE_H
#define __TEXTURE_H

#include "Common.h"

class OGLTexture
{
private:
	void	deleteTexture();
	bool	createTexture();

	GLenum	target;
	int		width, height;
	GLuint	ID;


public:
	OGLTexture( bool _rectangular = false );
	~OGLTexture();

	GLuint	getID()      { return ID-1; };
	int		getWidth()   { return width; };
	int		getHeight()  { return height; };
	
	bool	loadTGA		 ( char *fileName );

	void	bind();
};

#endif
